Name:           python-drissionpage
Version:        4.1.0.18
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python based web automation tool. It can control the browser and send and receive data packets.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://DrissionPage.cn
Source:         %{pypi_source drissionpage}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'drissionpage' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-drissionpage
Summary:        %{summary}

%description -n python3-drissionpage %_description


%prep
%autosetup -p1 -n drissionpage-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-drissionpage -f %{pyproject_files}


%changelog
%autochangelog